Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 375969 - media-sound/google-musicmanager (new ebuild)
Summary: media-sound/google-musicmanager (new ebuild)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 1 vote (vote)
Assignee: Christoph Junghans
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks:
 
Reported: 2011-07-22 08:36 UTC by Randall Wald
Modified: 2013-09-10 22:13 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Preliminary ebuild for media-sound/google-musicmanager (google-musicmanager-1.0.13.9715.ebuild,1.86 KB, text/plain)
2011-07-22 08:36 UTC, Randall Wald
Details
Revised google-musicmanager ebuild. (google-musicmanager-0_pre20110722.ebuild,2.07 KB, application/octet-stream)
2011-07-22 21:31 UTC, William Keaney
Details
Revised google-musicmanager ebuild. (google-musicmanager-0_pre20110722.ebuild,2.07 KB, text/plain)
2011-07-22 21:33 UTC, William Keaney
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Randall Wald 2011-07-22 08:36:17 UTC
Created attachment 280583 [details]
Preliminary ebuild for media-sound/google-musicmanager

Google has finally released the Linux desktop client for their Google Music service. This ebuild grabs the latest Debian package, unpacks it, and installs it into /opt/google.

Known issues with this ebuild:
* The desktop entry doesn't seem to be working.
* Google does not provide separate URLs for different versions of the software, so I just grab "current".
* I might have gone overboard with the dependencies, including stuff which it's understood doesn't need to be listed.
* There are some security problems found when installing:

scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '.' in /var/tmp/portage/media-sound/google-musicmanager-1.0.13.9715/image/opt/google/musicmanager/MusicManager
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '.' in /var/tmp/portage/media-sound/google-musicmanager-1.0.13.9715/image/opt/google/musicmanager/MusicManager

I don't know enough to know if I should be worried about that.

Anyway, as a preliminary ebuild, this does work, and it should serve as a basis for something a bit less brittle.
Comment 1 William Keaney 2011-07-22 21:31:59 UTC
Created attachment 280679 [details]
Revised google-musicmanager ebuild.
Comment 2 William Keaney 2011-07-22 21:32:16 UTC
Randall,
It seems unpack won't work on this .deb, because it contains lzma-compressed files. See http://forums.gentoo.org/viewtopic-t-848225-start-0.html. When I attempt to use unpack, I receive:
---
deb2targz: converting 'google-musicmanager-beta_current_amd64.deb' ...
deb2targz: skipping section 'debian-binary'
deb2targz: skipping section 'control.tar.gz'
deb2targz: skipping section 'data.tar.lzma'
---

I'm attaching an ebuild that I started work on before finding this bug report. It's modeled after the google-talkplugin ebuild, with some things borrowed from yours. 

It works on my amd64 test system here, I have not yet tried it on i686.
Comment 3 William Keaney 2011-07-22 21:33:28 UTC
Created attachment 280681 [details]
Revised google-musicmanager ebuild.

Set the wrong content type on my first upload.
Comment 4 Aron 2011-07-22 22:18:01 UTC
Works fine here on ~amd64.
Comment 5 Randall Wald 2011-07-22 23:03:37 UTC
(In reply to comment #2)
> Randall,
> It seems unpack won't work on this .deb, because it contains lzma-compressed
> files. See http://forums.gentoo.org/viewtopic-t-848225-start-0.html. When I
> attempt to use unpack, I receive:
> ---
> deb2targz: converting 'google-musicmanager-beta_current_amd64.deb' ...
> deb2targz: skipping section 'debian-binary'
> deb2targz: skipping section 'control.tar.gz'
> deb2targz: skipping section 'data.tar.lzma'
> ---
> 
> I'm attaching an ebuild that I started work on before finding this bug report.
> It's modeled after the google-talkplugin ebuild, with some things borrowed from
> yours. 
> 
> It works on my amd64 test system here, I have not yet tried it on i686.

Hmm, it's possible that unpack only works for me because I have another package installed; later I'll see if there's something we could add to the compile-time dependencies which would make it work in the general case.
Comment 6 William Keaney 2011-07-25 19:00:52 UTC
I'm still working out the best way to address this, but..
When I installed it on my hardened x86 box, I found out that it will not run against a gcc older than 4.4 (I had 4.3 selected).
Comment 7 Christoph Junghans gentoo-dev 2011-08-20 11:15:56 UTC
I have added a first version to cj-overlay, please test it (especially on amd64).

Still to be done:
-license? Is it http://www.google.com/accounts/TOS?hl?
-unbundle libs
-change MusicManager rpath
Comment 8 movrev 2011-08-22 06:03:52 UTC
I just compiled/tested the ebuild in the cj-overlay and didn't run into any issues (amd64). I used to have the ebuild in this bug report in a local overlay and it was already working fine. The only thing that annoys me is that I can't select the option to "stay signed in" with either of them.

Regarding licensing, the TOS you found seem to be the closest to a Google Music Manager license there is. I also found a link to the open source licenses that their service is related to: http://music.google.com/about/thirdparty.html
Comment 9 Christoph Junghans gentoo-dev 2011-08-22 07:50:33 UTC
(In reply to comment #8)
> I just compiled/tested the ebuild in the cj-overlay and didn't run into any
> issues (amd64). I used to have the ebuild in this bug report in a local overlay
> and it was already working fine. The only thing that annoys me is that I can't
> select the option to "stay signed in" with either of them.
Same for me of x86, it seems to a problem in this beta version.
I will add the ~amd64 keyword. Thanks for testing

> Regarding licensing, the TOS you found seem to be the closest to a Google Music
> Manager license there is. I also found a link to the open source licenses that
> their service is related to: http://music.google.com/about/thirdparty.html
I put LICENSE="google-talkplugin Apache-2.0 MIT LGPL-2.1 gSOAP BSD MPL-1.1 openssl ZLIB":
<http://code.google.com/p/cj-overlay/source/browse/media-sound/google-musicmanager/google-musicmanager-1.0.13.9715_beta.ebuild#19>
So I guess FDL-1.2 (flac) BSD (libogg) and as-is (tiff) and the freeimage license is still missing.

(In reply to comment #7)
> -change MusicManager rpath
That turns out to be a problem as the current rpath is '.' and so app-admin/chrpath can only change is to a path with length=1.
Comment 10 Christoph Junghans gentoo-dev 2011-08-22 18:33:22 UTC
(In reply to comment #7)
> Still to be done:
> -license? Is it http://www.google.com/accounts/TOS?hl?
> -change MusicManager rpath
Fixed and fixed in -r1.

> -unbundle libs
It crashes with system's media-libs/libid3tag, so I leave it like it is (for now).

I will wait another 10 days before adding it to the tree.
Comment 11 Mario Vrablansky 2011-08-22 18:47:08 UTC
Installation without problems x86
Comment 12 Scott Shawcroft 2011-08-27 02:47:27 UTC
Worked for me on ~amd64.
Comment 13 Christoph Junghans gentoo-dev 2011-08-27 09:02:25 UTC
version bump to 1.0.16.6403_beta

(In reply to comment #8)
> I just compiled/tested the ebuild in the cj-overlay and didn't run into any
> issues (amd64). I used to have the ebuild in this bug report in a local overlay
> and it was already working fine. The only thing that annoys me is that I can't
> select the option to "stay signed in" with either of them.
"stay signed in" is gone ;-)
Comment 14 movrev 2011-08-27 18:23:57 UTC
Just updated it. I agree that "stay signed in" has disappeared, but it still won't remember my credentials.
Comment 15 Christoph Junghans gentoo-dev 2011-09-25 19:53:08 UTC
Version bump to 1.0.18.6104_beta
Comment 16 Mathieu Z 2011-09-27 13:18:45 UTC
(In reply to comment #15)
> Version bump to 1.0.18.6104_beta

The deb filename do not contain version string. So one has to remove the distfile by hand or otherwise the new file won't be fetched.

Curious what one should do in this situation in term of ebuild? overload src_fetch() to force fetch and checksum?
Comment 17 Christoph Junghans gentoo-dev 2011-09-27 14:17:33 UTC
(In reply to comment #16)
> (In reply to comment #15)
> > Version bump to 1.0.18.6104_beta
> 
> The deb filename do not contain version string. So one has to remove the
> distfile by hand or otherwise the new file won't be fetched.
> 
> Curious what one should do in this situation in term of ebuild? overload
> src_fetch() to force fetch and checksum?
Please use the ebuild from cj-overlay!
Comment 18 Christoph Junghans gentoo-dev 2011-09-27 14:21:14 UTC
@amd64 guys: please confirm that 1.0.18.6104_beta is working and I will add it to the tree.
Comment 19 movrev 2011-09-27 16:06:16 UTC
It works for me.
Comment 20 movrev 2011-09-27 16:07:20 UTC
(In reply to comment #19)
> It works for me.

@amd64
Comment 21 Christoph Junghans gentoo-dev 2011-09-28 07:41:37 UTC
Add to the tree.
Comment 22 MAL 2011-10-04 13:59:13 UTC
I am still getting the following error when the ebuild tries to call deb2targz:

>>> Unpacking google-musicmanager-beta_1.0.18.6104-r0_amd64.deb to /var/tmp/portage/media-sound/google-musicmanager-1.0.18.6104_beta/work
deb2targz: converting 'google-musicmanager-beta_1.0.18.6104-r0_amd64.deb' ...
deb2targz: skipping section 'debian-binary'
deb2targz: skipping section 'control.tar.gz'
deb2targz: skipping section 'data.tar.lzma'
mv: cannot stat `google-musicmanager-beta_1.0.18.6104-r0_amd64.tar.gz': No such file or directory


The ebuild had just downloaded the source file fresh.
Comment 23 Christoph Junghans gentoo-dev 2011-10-04 14:38:06 UTC
(In reply to comment #22)
> I am still getting the following error when the ebuild tries to call deb2targz:
> 
> >>> Unpacking google-musicmanager-beta_1.0.18.6104-r0_amd64.deb to /var/tmp/portage/media-sound/google-musicmanager-1.0.18.6104_beta/work
> deb2targz: converting 'google-musicmanager-beta_1.0.18.6104-r0_amd64.deb' ...
> deb2targz: skipping section 'debian-binary'
> deb2targz: skipping section 'control.tar.gz'
> deb2targz: skipping section 'data.tar.lzma'
> mv: cannot stat `google-musicmanager-beta_1.0.18.6104-r0_amd64.tar.gz': No such
> file or directory
> 
> 
> The ebuild had just downloaded the source file fresh
This seems like deb2targz is broken for lzma files inside the deb packages. Please open a separate bug for that and cc me.
Comment 24 Christoph Junghans gentoo-dev 2011-10-04 14:52:30 UTC
(In reply to comment #23)
> (In reply to comment #22)
> > I am still getting the following error when the ebuild tries to call deb2targz:
> > 
> > >>> Unpacking google-musicmanager-beta_1.0.18.6104-r0_amd64.deb to /var/tmp/portage/media-sound/google-musicmanager-1.0.18.6104_beta/work
> > deb2targz: converting 'google-musicmanager-beta_1.0.18.6104-r0_amd64.deb' ...
> > deb2targz: skipping section 'debian-binary'
> > deb2targz: skipping section 'control.tar.gz'
> > deb2targz: skipping section 'data.tar.lzma'
> > mv: cannot stat `google-musicmanager-beta_1.0.18.6104-r0_amd64.tar.gz': No such
> > file or directory
> > 
> > 
> > The ebuild had just downloaded the source file fresh
> This seems like deb2targz is broken for lzma files inside the deb packages.
> Please open a separate bug for that and cc me.

This issue has been already reported as bug #384147. As a workaround you could just uninstall deb2targz for a sec.
Comment 25 MAL 2011-10-04 14:54:55 UTC
Thanks, that does me for now.
Comment 26 Christoph Junghans gentoo-dev 2011-10-04 15:12:25 UTC
(In reply to comment #25)
> Thanks, that does me for now.

I just added a workaround (stolen from google-chrome ebuild).